> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post auth



## OpenAPI

````yaml post /auth/{TARGET_SYSTEM}
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /auth/{TARGET_SYSTEM}:
    post:
      tags:
        - auth
      operationId: systemLoginUrl
      parameters:
        - name: TARGET_SYSTEM
          required: true
          in: path
          schema:
            type: string
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PostAuthRequestDto'
      responses:
        '201':
          description: Successful response
          content:
            text/html:
              schema:
                type: string
                example: https://login-url.com
components:
  schemas:
    PostAuthRequestDto:
      type: object
      properties:
        baseUrl:
          type: string
          example: https://entity-api1-4.abacus.ch
        callBackUrl:
          type: string
          example: https://your-app.com/callback
        cancelCallbackUrl:
          type: string
          example: https://your-app.com/cancel
        includeSignature:
          type: boolean
          example: false
        tenantId:
          type: string
          example: tenant_abc123
        webhookCallbackUrl:
          type: string
          example: https://your-app.com/webhooks/account-key
      required:
        - webhookCallbackUrl

````